Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » EMF Languge Pack do not work
EMF Languge Pack do not work [message #1059218] Fri, 17 May 2013 10:59 Go to next message
Markus Jo is currently offline Markus Jo
Messages: 83
Registered: January 2012
Member
Hi, I downloaded the Language Packs from here http://www.eclipse.org/modeling/emf/downloads/?

for EMF. Unziped it and copied it into the right folders....but nothing changes.

In the plugins folder there are the folders I need (e.g. org.eclipse.emf.ecore.edit.nl1_2.0.0) and they really contain the strings I need.

But when I start Eclipse and my RCP app nothing changes. I cannot select them in the run config, too. There are not there.

I see other nls plugins, but these are as jars in my plugins folder and not as folder.

Whats the problem ? What do I need ? Why are the folders in the plugins folder are not shown in my target plattform or my run config ?

Can anyone help ?
Re: EMF Languge Pack do not work [message #1059283 is a reply to message #1059218] Fri, 17 May 2013 11:31 Go to previous message
Ed Merks is currently offline Ed Merks
Messages: 26141
Registered: July 2009
Senior Member
Markus,

I'm not sure that copying them to the right folder is sufficient with
Eclipse these days. Perhaps you need to put them in dropins. Or
perhaps you just need to run with eclipse -clean to make it notice there
are new things. Or perhaps these bundles are very old and don't apply
for the latest EMF. I though the Babel project maintained translations
for more recent versions of EMF...



On 17/05/2013 12:59 PM, Markus Jo wrote:
> Hi, I downloaded the Language Packs from here
> http://www.eclipse.org/modeling/emf/downloads/?
>
> for EMF. Unziped it and copied it into the right folders....but
> nothing changes.
>
> In the plugins folder there are the folders I need (e.g.
> org.eclipse.emf.ecore.edit.nl1_2.0.0) and they really contain the
> strings I need.
>
> But when I start Eclipse and my RCP app nothing changes. I cannot
> select them in the run config, too. There are not there.
>
> I see other nls plugins, but these are as jars in my plugins folder
> and not as folder.
>
> Whats the problem ? What do I need ? Why are the folders in the
> plugins folder are not shown in my target plattform or my run config ?
>
> Can anyone help ?
Previous Topic:[CDO] IProgressMonitor and Saveable
Next Topic:Creating an OCLExpression expensive?
Goto Forum:
  


Current Time: Sun Oct 26 03:00:21 GMT 2014

Powered by FUDForum. Page generated in 0.01630 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software